#ifndef SUPLIB_PP_COLSELECT_H
#define SUPLIB_PP_COLSELECT_H

// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of suplibxx
//
// suplibxx is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// suplibxx is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the 
//       Free Software Foundation, Inc. 
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include <string>
#include <vector>

namespace suplib {

  void colselect( const std::vector<std::string>& icolumns,
                  const std::vector<std::string>& exact_add,
                  const std::vector<std::string>& regex_add,
                  const std::vector<std::string>& exact_del,
                  const std::vector<std::string>& regex_del,
                  std::vector<std::string>& ocolumns
                  );

  bool match( const std::string& str, const std::string& pattern );

} // namespace suplib

#endif
